Summary: 	Natural language translation utility 
Name: 		qtrans
Version: 	0.1.1
Release: 	4mdk

Source0: 	%{name}-%{version}.tar.bz2

URL: 		http://digilander.iol.it/merlim/english.html
License: 	GPL 
Group: 		Office
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	openssl db1 freetype2 libjpeg62 libmng1 libpng2 libqt2
BuildRequires:	libqt2-devel rpm-build

%description
QTrans is a natural language translation utility for Babylon dictionaries.

It requires the English Babylon dictionary (English.dic) and a translation dic
(e.g., Engtoita.dic), which can be downloaded from the Babylon site (Ed.: to
download the dictionaries, visit
http://info.babylon.com/cgi-bin/search.cgi?search=&cat=245&sort=s&layout=results.html,
click on "Download - for offline use" for the language you are interested in,
and unzip the .exe file, which should contain all the required dictionaries).

%prep

%setup -q -n qtrans-%version

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	               --disable-rpath \
		       --disable-debug

%make

%install
make install DESTDIR=%buildroot     

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/qtrans" \
title="Qtrans" \
icon="%{name}.png" \
longtitle="QTrans is an instant translator for Linux" \
needs="kde" \
section="Office"
EOF


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
 
%postun
%{clean_menus}


%files -f %name.lang
%defattr(-,root,root)
%doc README 
#
#
%_bindir/*
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/qtrans*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/qtrans*.png
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Applications/
%_datadir/applnk/Applications/qtrans.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/qtrans/
%_datadir/apps/qtrans/README
#
%dir %_datadir/apps/qtrans/flags/
%_datadir/apps/qtrans/flags/*
#
#
%_menudir/*

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1.1-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix and use optimizations
- Clean %%files section to allow clean updates
- Fix BuildRequires for non %%ix86 architectures
- Add missing files
- Rebuild against lateste GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.1-3mdk
- Add entry menu

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.1-2mdk
- Add build requires

* Wed Mar 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.1-1mdk
- Update code

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1-2mdk
- Rebuild against Qt 2.3.0

* Mon Mar 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- Update code 

* Sat Mar 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.9-1mdk
- Update code

* Wed Jan 03 2001 Daouda LO <daouda@mandrakesoft.com> 0.0.1-1mdk
- first mdk package.
